org.apache.sysds.runtime.privacy.propagation

## Class AppendPropagator

- java.lang.Object
- - org.apache.sysds.runtime.privacy.propagation.AppendPropagator

All Implemented Interfaces:
  Propagator

Direct Known Subclasses:
  CBindPropagator, RBindPropagator

    public abstract class AppendPropagator
    extends Object
    implements Propagator

### Constructor Summary

Constructors
Constructor and Description
`AppendPropagator(MatrixBlock input1, PrivacyConstraint privacyConstraint1, MatrixBlock input2, PrivacyConstraint privacyConstraint2)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PrivacyConstraint` `propagate()` Activates the propagation and returns the output privacy constraint.
`void` `setFields(MatrixBlock input1, PrivacyConstraint privacyConstraint1, MatrixBlock input2, PrivacyConstraint privacyConstraint2)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AppendPropagator

    public AppendPropagator(MatrixBlock input1,
                            PrivacyConstraint privacyConstraint1,
                            MatrixBlock input2,
                            PrivacyConstraint privacyConstraint2)

### Method Detail

#### setFields

    public void setFields(MatrixBlock input1,
                          PrivacyConstraint privacyConstraint1,
                          MatrixBlock input2,
                          PrivacyConstraint privacyConstraint2)

#### propagate

    public PrivacyConstraint propagate()

Description copied from interface: `Propagator`
Activates the propagation and returns the output privacy constraint.

Specified by:
  `propagate` in interface `Propagator`
Returns:
  output privacy constraint.